package framework

type IResponse interface {
	WriteJSON(obj any) IResponse
	WriteJSONP(obj any) IResponse
	WriteXML(obj any) IResponse
	WriteHTML(template string, obj any) IResponse
	WriteText(format string, values ...any) IResponse

	Redirect(path string) IResponse
	SetHeader(key string, val string) IResponse
	SetCookie(
		key string,
		val string,
		maxAge int,
		path, domain string,
		secure, httpOnly bool,
	) IResponse
	SetStatus(code int) IResponse

	// set 200
	SetOkStatus() IResponse
}
